Bug 83217 - [chromium] Make culling work with clipped rects
Summary: [chromium] Make culling work with clipped rects
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Dana Jansens
URL:
Keywords:
Depends on: 80806 83487 83494
Blocks: 83351
  Show dependency treegraph
 
Reported: 2012-04-04 14:27 PDT by Shawn Singh
Modified: 2012-04-09 11:58 PDT (History)
7 users (show)

See Also:


Attachments
Patch (2.57 KB, patch)
2012-04-05 11:35 PDT, Dana Jansens
no flags Details | Formatted Diff | Diff
Patch (13.96 KB, patch)
2012-04-06 15:46 PDT, Dana Jansens
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Shawn Singh 2012-04-04 14:27:24 PDT
As a follow-up to https://bugs.webkit.org/show_bug.cgi?id=80806, it should be possible to remove the special case where culling considers clipped rects to be fully visible.

But, its appropriate to do it as a separate step from bug 80806.
Comment 1 Dana Jansens 2012-04-05 11:35:42 PDT
Created attachment 135867 [details]
Patch
Comment 2 Shawn Singh 2012-04-05 11:37:36 PDT
Comment on attachment 135867 [details]
Patch

Sorry, the first patch has some build errors on some of the bots, have to fix that first.  But if this is the fix, it can still be reviewed.   When this is ready to land, I'd still prefer it its OK, that we wait for a day between when the previous one lands and this one?
Comment 3 Dana Jansens 2012-04-05 11:41:03 PDT
That's fine.
Comment 4 Shawn Singh 2012-04-05 13:43:48 PDT
Comment on attachment 135867 [details]
Patch


OK, the fixed previous patch is landed now, removing cq-

This patch unofficially LGTM =)
Comment 5 Dana Jansens 2012-04-06 14:58:40 PDT
Comment on attachment 135867 [details]
Patch

This isn't the whole set of changes needed.
Comment 6 Shawn Singh 2012-04-06 14:59:45 PDT
> 
> This patch unofficially LGTM =)

officially need to take foot out of mouth.
Comment 7 Dana Jansens 2012-04-06 15:45:50 PDT
This fixes the http://www.apple.com/html5/showcase/vr/ page, and should be backported to M19.
Comment 8 Dana Jansens 2012-04-06 15:46:01 PDT
Created attachment 136079 [details]
Patch
Comment 9 Adrienne Walker 2012-04-06 17:42:22 PDT
Comment on attachment 136079 [details]
Patch

R=me.  Looks great.
Comment 10 WebKit Review Bot 2012-04-09 02:06:07 PDT
Comment on attachment 136079 [details]
Patch

Clearing flags on attachment: 136079

Committed r113561: <http://trac.webkit.org/changeset/113561>
Comment 11 WebKit Review Bot 2012-04-09 02:06:11 PDT
All reviewed patches have been landed.  Closing bug.